/* global */
.button {
    padding: 9.3px 30px;
    text-transform: uppercase;
    font-size: 0.95rem;
    font-weight: 500;
    display: inline-block !important;
    color: var(--secondaryColor);
    background-color: transparent;
    transition: all 0.5s ease;
    cursor: pointer;
    border: 1px solid var(--secondaryColor);
}

/* Archive Products */
.shop-content {
    margin: 0 0 75px;
}
.archive .product-block {
    display: grid;
    grid-template-columns: 1fr 3fr;
    gap: 30px;
}
.woocommerce-products-header {
    margin-left: calc(-50vw + calc(var(--siteWidth) / 2) - 15px);
    margin-right: calc(-50vw + calc(var(--siteWidth) / 2) - 15px);
    padding: 75px 0;
    background: url("../../../assets/img/banner-bg.jpg") no-repeat top center;
    background-size: cover;
    margin-bottom: 75px;
    text-align: center;
}
.woocommerce-products-header h1 {
    color: var(--headlineColor);
    margin-bottom: 0;
    letter-spacing: 0px;
}
.shop-products,
.related.products ul.products,
.cross-sells .product-block ul.products {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 75px 20px;
    list-style: none;
}
.archive .shop-products {
    grid-template-columns: repeat(3, 1fr);
}
.extension-category-products .shop-products {
    grid-template-columns: repeat(4, 1fr);
}

/* Filter */
.filternavigation h5 {
    font-weight: 500;
    text-transform: uppercase;
    color: var(--headlineColor);
    letter-spacing: 1px;
    margin-bottom: 30px;
    border-bottom: 1px solid var(--borderColor);
    padding-bottom: 9px;
}
.filternavigation h6 {
    text-transform: uppercase;
    font-size: 1rem;
    color: var(--headlineColor);
    margin-bottom: 12px;
    font-weight: 500;
}
.filter-close {
    display: none;
}
.prdctfltr_collector {
    margin-bottom: 21px !important;
}
.prdctfltr_wc .prdctfltr_woocommerce_ordering {
    margin: 0 !important;
}
.prdctfltr_filter {
    margin: 0 0 30px !important;
    padding: 0 0 18px !important;
    border-bottom: 1px solid var(--borderColor);
}
.prdctfltr_filter label {
    font-size: 0.95rem !important;
    color: var(--headlineColor);
    line-height: 30px !important;
}

/* Pagination */
.woocommerce .woocommerce-pagination ul.page-numbers,
.woocommerce-page .woocommerce-pagination ul.page-numbers {
    border: none;
    list-style: none;
    display: flex;
    justify-content: flex-end;
    margin-top: 60px;
}
.woocommerce .woocommerce-pagination ul.page-numbers li,
.woocommerce-page .woocommerce-pagination ul.page-numbers li {
    margin: 0 3px 0 0;
    width: 45px;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.woocommerce .woocommerce-pagination ul.page-numbers li a,
.woocommerce-page .woocommerce-pagination ul.page-numbers li a {
    color: var(--darkColor);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    border: 1px solid var(--borderColor);
}
.woocommerce nav.woocommerce-pagination ul li a:focus,
.woocommerce nav.woocommerce-pagination ul li a:hover,
.woocommerce nav.woocommerce-pagination ul li span.current {
    background-color: var(--secondaryColor);
    color: var(--whiteColor);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid var(--secondaryColor);
}
.shop-products .type-product .button,
.related.products ul.products .type-product .button,
.cross-sells .product-block ul.products .type-product .button {
    padding: 5px 30px !important;
}

/* Single Product */
.single-product .shop-content {
    margin-top: 75px;
}
.single-product div.product {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 45px;
    position: relative;
}
.single-product .woocommerce-product-gallery {
    position: relative;
    grid-column: 1/7;
}
.woocommerce-product-gallery__trigger {
    position: absolute;
    left: 10px;
    top: 10px;
}
.single-product .woocommerce-product-gallery__wrapper {
    margin: 0;
}
.single-product .woocommerce-product-gallery__image img {
    max-width: 100%;
    width: 100%;
    height: auto;
    display: block;
}
.single-product
    .woocommerce-product-gallery
    .flex-control-nav.flex-control-thumbs {
    list-style: none;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 10px;
    margin-top: 10px;
}
.single-product
    .woocommerce-product-gallery
    .flex-control-nav.flex-control-thumbs
    li {
    border: 1px solid var(--borderColor);
    padding: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.single-product
    .woocommerce-product-gallery
    .flex-control-nav.flex-control-thumbs
    li
    img {
    max-width: 100%;
    display: block;
    height: auto;
}
.summary.entry-summary {
    grid-column: 7/13;
}
.summary.entry-summary h1 {
    font-size: 1.7rem;
    line-height: 1.2;
}
.summary.entry-summary .price {
    font-size: 1.2rem;
    margin: 15px 0 12px;
}
.summary.entry-summary .woocommerce-product-details__short-description {
    margin-bottom: 33px;
}
.summary.entry-summary .woocommerce-product-details__short-description ul {
    padding-left: 18px;
}
.single-product div.product table.variations {
    margin-bottom: 30px;
    min-width: 289px;
}
.single-product div.product table.variations tr th.label {
    display: none;
}
.single-product div.product table.variations tr td {
    position: relative;
}
.single-product div.product table.variations tr td select {
    height: 38px;
    border-radius: 0;
    padding: 6px 30px 6px 18px;
    font-size: 0.875rem;
    border: 1px solid var(--borderColor);
    width: 100%;
    background: url("../img/icon-caret-select.svg") no-repeat right 15px center;
    -webkit-appearance: none;
    appearance: none;
    margin-bottom: 9px;
}
.single-product div.product table.variations tr td a.reset_variations {
    position: absolute;
    background: url("../img/icon-reset.svg") no-repeat center;
    background-size: 18px;
    width: 18px;
    height: 18px;
    text-indent: -9999px;
    top: 12px;
    right: -33px;
}
.single-product div.product form.cart .woocommerce-variation-availability {
    margin-bottom: 12px;
}
.single-product div.product form.cart .quantity-cart-wrap {
    display: flex;
    gap: 12px;
}
.single-product div.product form.cart .quantity-wrap {
    display: flex;
    border: 1px solid var(--borderColor);
    max-width: 138px;
}
.single-product div.product form.cart .quantity {
    float: none;
    margin: 0;
    display: inline-block;
}
.single-product div.product form.cart .qty {
    height: 100%;
    padding: 9px;
    font-size: 1rem;
    width: 60px;
    text-align: center;
    border-radius: 0;
    border: none;
    appearance: none;
}
.single-product div.product form.cart .minus,
.single-product div.product form.cart .plus {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    width: 38px;
    background: transparent;
}
.single-product div.product form.cart .minus {
    border: none;
    border-right: 1px solid var(--borderColor);
}
.single-product div.product form.cart .plus {
    border: none;
    border-left: 1px solid var(--borderColor);
}
.single-product div.product form.cart .minus svg,
.single-product div.product form.cart .plus svg {
    width: 0.6rem;
    height: 0.6rem;
}
.single_add_to_cart_button {
    display: flex !important;
    margin: 0;
    width: 100%;
    padding: 12px 30px;
    text-align: center;
    justify-content: center;
    background-color: var(--secondaryColor);
    color: var(--whiteColor);
}
.single_add_to_cart_button:hover {
    background-color: var(--whiteColor);
    color: var(--secondaryColor);
}

.promo-holder {
    margin-top: 30px;
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.promo-block {
    background-color: var(--tertiaryColor);
    padding: 15px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
}
.promo-block span {
    font-size: 0.6875rem;
    color: var(--contrastColor);
    margin-bottom: 5px;
    text-transform: uppercase;
    display: block;
}
.promo-block p {
    font-size: 0.9rem;
    line-height: 1.5;
    margin-bottom: 9px;
    color: var(--darkColor);
}
.promo-block p:last-of-type {
    margin-bottom: 0px;
}
.promo-image img {
    width: 90px;
    max-width: 90px;
    height: auto;
    display: block;
}
.woocommerce-message {
    display: flex;
    align-items: center;
    justify-content: space-between;
    min-height: 42px;
    font-weight: 400;
    color: var(--secondaryColor);
    margin-bottom: 45px;
}
.woocommerce-message .button {
    border-radius: 0;
    margin-bottom: 0 !important;
}
.woocommerce div.product .woocommerce-tabs {
    padding: 45px 0;
    grid-column: 1/13;
}
.woocommerce div.product .woocommerce-tabs ul.tabs {
    padding: 0;
    display: flex;
    margin-bottom: 21px;
    list-style: none;
}
.woocommerce div.product .woocommerce-tabs ul.tabs:before {
    display: none;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li {
    border: none;
    background-color: transparent;
    padding: 0;
    margin: 0 33px 0 0;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li a {
    font-weight: 600;
    text-transform: uppercase;
    color: var(--headlineColor);
    letter-spacing: 0.25px;
    font-size: 1.2rem;
}

.woocommerce div.product .woocommerce-tabs ul.tabs li.active a {
    color: var(--contrastColor);
}
.woocommerce div.product .woocommerce-tabs ul.tabs li:before,
.woocommerce div.product .woocommerce-tabs ul.tabs li:after {
    display: none;
}
.woocommerce div.product .woocommerce-tabs .panel {
    margin-bottom: 45px;
}
.woocommerce div.product .woocommerce-tabs .panel h2:first-child {
    display: none;
}
.resp-tabs-container h2.resp-accordion {
    display: none;
}
.woocommerce div.product .woocommerce-tabs .panel h3 {
    font-weight: 500;
    font-size: 1.1rem;
    text-transform: uppercase;
    margin: 0 0 24px;
}
.woocommerce div.product .woocommerce-tabs .panel h4 {
    font-weight: 500;
    font-size: 1.1rem;
    text-transform: uppercase;
    margin: 0 0 24px;
}
.woocommerce div.product .woocommerce-tabs .panel ul,
.woocommerce div.product .woocommerce-tabs .panel ol {
    padding-left: 18px;
    margin-bottom: 21px;
}
.woocommerce div.product .woocommerce-tabs .panel ul li {
    list-style: disc;
    list-style-position: outside;
    color: var(--darkColor);
}
.woocommerce div.product .woocommerce-tabs .panel ol li {
    list-style: decimal;
    list-style-position: outside;
    color: var(--darkColor);
}
.woocommerce div.product .woocommerce-tabs ol.commentlist {
    padding: 0;
}
.woocommerce div.product .woocommerce-tabs ol.commentlist li {
    list-style: none;
    padding: 15px 21px 21px;
    /* border: 1px solid var(--contrastColor); */
    background-color: rgba(183, 128, 240, 0.15);
    margin-bottom: 12px;
}
.woocommerce div.product .woocommerce-tabs ol.commentlist li p:last-of-type {
    margin: 0;
}
.woocommerce div.product .woocommerce-tabs ol.commentlist li .description {
    margin-top: 12px;
}
.woocommerce
    div.product
    .woocommerce-tabs
    ol.commentlist
    li
    .comment_container {
    display: flex;
    gap: 15px;
}
.woocommerce
    div.product
    .woocommerce-tabs
    ol.commentlist
    li
    .comment_container
    img.avatar {
    margin-top: 8px;
}
.woocommerce div.product .woocommerce-tabs #review_form_wrapper {
    margin-top: 21px;
}
.woocommerce
    div.product
    .woocommerce-tabs
    #review_form
    #respond
    span.comment-reply-title {
    font-weight: 600;
    font-size: 1rem;
    text-transform: uppercase;
    margin-top: 24px;
}
.woocommerce div.product .woocommerce-tabs #review_form #respond textarea {
    border: 1px solid var(--borderColor);
    padding: 8px 18px;
    height: 120px;
    width: 100%;
    font-size: 1rem;
    font-weight: 300;
}
.woocommerce
    div.product
    .woocommerce-tabs
    #review_form
    #respond
    textarea:focus {
    outline: none;
}
.woocommerce div.product .woocommerce-tabs #review_form #respond .form-submit {
    text-align: right;
}
.woocommerce
    div.product
    .woocommerce-tabs
    #review_form
    #respond
    .form-submit
    input[type="submit"] {
    padding: 9.3px 30px;
    text-transform: uppercase;
    font-size: 0.95rem;
    font-weight: 500;
    display: inline-block !important;
    color: var(--secondaryColor);
    background-color: transparent;
    transition: all 0.5s ease;
    cursor: pointer;
    border: 1px solid var(--secondaryColor);
}
.woocommerce
    div.product
    .woocommerce-tabs
    #review_form
    #respond
    .form-submit
    input[type="submit"]:hover {
    color: var(--whiteColor);
    background-color: var(--secondaryColor);
}

.woocommerce div.product .woocommerce-product-rating {
    margin-top: 15px;
}
.woocommerce div.product .woocommerce-product-rating .star-rating span:before,
.woocommerce div.product .woocommerce-tabs .star-rating span:before,
.woocommerce p.stars a:before,
.woocommerce p.stars.selected a:before {
    color: var(--primaryColor);
}
.woocommerce div.product .woocommerce-product-rating a.woocommerce-review-link {
    color: var(--primaryColor);
    font-size: 1rem;
    font-weight: 400;
}
.woocommerce div.product .woocommerce-tabs label {
    font-size: 1rem;
    font-weight: 300;
    color: var(--darkColor);
    margin-bottom: 3px;
}
.woocommerce div.product .woocommerce-tabs label span {
    text-transform: none;
    letter-spacing: 0px;
    font-weight: 300;
}
.woocommerce div.product .woocommerce-tabs input[type="text"],
.woocommerce div.product .woocommerce-tabs input[type="password"],
.woocommerce div.product .woocommerce-tabs input[type="email"] {
    border: 1px solid var(--borderColor);
    padding: 6px 18px;
    width: 100%;
    font-size: 1rem;
    font-weight: 300;
}
.woocommerce div.product .woocommerce-tabs input[type="checkbox"] {
    margin: 0 5px 0 0;
}
.woocommerce div.product .related,
.woocommerce div.product .up-sells.upsells {
    grid-column: 1/13;
}
.woocommerce div.product .related .product-block,
.woocommerce .cross-sells .product-block {
    margin-top: 30px;
}

/* Cart */
.shop_table {
    border-collapse: collapse;
    background: var(--whiteColor);
    overflow: hidden;
    width: 100%;
    position: relative;
    margin-top: 18px;
}
.shop_table * {
    position: relative;
}
.shop_table thead tr {
    background: var(--primaryColor);
    color: var(--whiteColor);
    font-size: 0.9rem;
    text-transform: uppercase;
}
.shop_table thead th {
    letter-spacing: 1px;
}
.shop_table td,
.shop_table th {
    padding: 9px 12px;
    font-size: 0.9rem;
    text-align: left;
}
.shop_table tbody tr {
    border-bottom: 1px solid var(--borderColor);
}

.shop_table.cart .product-remove .remove {
    font-size: 1.5rem;
    color: var(--secondaryColor);
}
.shop_table .product-thumbnail img {
    max-width: 60px;
    width: 60px;
    height: auto;
    display: block;
}
.shop_table.cart .product-name a {
    color: var(--headlineColor);
}
.shop_table.cart .product-quantity .qty {
    width: 100px;
    height: 42px;
    padding: 6px 9px;
    font-size: 1.1rem;
    border: 1px solid var(--borderColor);
}
.coupons-holder {
    margin-top: 21px;
}
.coupons-holder .actions {
    width: 100%;
    display: flex;
    justify-content: space-between;
    gap: 30px;
}
.coupon {
    display: flex;
    justify-content: space-around;
    gap: 5px;
}
.coupon input[type="text"] {
    height: 38px;
    padding: 3px 12px;
    font-size: 0.9rem;
    border: 1px solid var(--borderColor);
    border-radius: 0;
}
.actions .button,
.wc-proceed-to-checkout .button {
    color: var(--whiteColor);
    background-color: var(--secondaryColor);
}
.actions .button:hover,
.wc-proceed-to-checkout .button:hover {
    color: var(--secondaryColor);
    background-color: var(--whiteColor);
}
.woocommerce-cart .cart-collaterals {
    margin: 75px 0 90px;
}
.woocommerce-cart .cart-collaterals h2,
.woocommerce-cart .cart_totals h2 {
    text-transform: uppercase;
    font-weight: 600;
    font-size: 1.5rem;
    letter-spacing: 0.5px;
}
.woocommerce-cart .cart_totals tr th {
    font-size: 14px;
    font-weight: 600;
    text-transform: uppercase;
    padding: 12px 21px;
    background: var(--contrastColor);
    color: #ffffff !important;
}
.woocommerce-cart .cart_totals tr td {
    font-size: 14px;
    padding: 12px 21px;
    background: var(--accentColor);
    border-color: #ffffff;
}
.woocommerce ul#shipping_method li {
    margin: 0 0 0.5em;
    line-height: 1.5em;
    list-style: none outside;
}
.woocommerce-notices-wrapper .cart-empty {
    margin-bottom: 30px;
}
.cart_totals p.woocommerce-shipping-destination {
    font-size: 15px;
    margin-top: 15px;
}
.promotional-banner {
    margin-bottom: 30px;
}
.wc-proceed-to-checkout {
    margin-top: 45px;
}

/* Checkout */
.woocommerce-form.woocommerce-form-login.login {
    padding: 18px 21px 24px;
    border: 1px solid var(--borderColor);
    border-top: none;
}
.form-row label {
    font-size: 1rem;
    margin-bottom: 5px;
    display: block;
    font-weight: 400;
}
.form-row input[type="text"],
.form-row input[type="email"],
.form-row input[type="tel"],
.form-row input[type="password"] {
    height: 42px;
    padding: 6px 18px;
    font-size: 1.1rem;
    border: 1px solid var(--borderColor);
    width: 100%;
}
.woocommerce-form.woocommerce-form-login.login p.lost_password a {
    color: var(--secondaryColor);
    box-shadow: 0 1px 0 var(--secondaryColor);
}
.woocommerce-info {
    margin: 9px 0;
    padding: 9px 0 9px 21px;
    border: 1px solid var(--borderColor);
}
.woocommerce-info a:not(.button) {
    color: var(--contrastColor);
    font-weight: 400;
}
.woocommerce-error li {
    list-style: none;
    color: var(--secondaryColor);
}
.woocommerce-form-coupon {
    padding: 18px 21px;
    border: 1px solid var(--borderColor);
    border-top: none;
}
.checkout-coupon {
    margin-top: 12px;
}
.woocommerce-form-coupon input[type="text"] {
    height: 42px;
    padding: 6px 18px;
    font-size: 1rem;
    border: 1px solid var(--borderColor);
}
.col2-set {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: 45px;
    margin-top: 30px;
    margin-bottom: 60px;
}
.col-1 {
    grid-column: 1/7;
}
.col-2 {
    grid-column: 7/13;
}
.col2-set h3 {
    margin-bottom: 24px;
}
.col2-set label {
    font-size: 1rem;
    margin-bottom: 5px;
    display: block;
    font-weight: 400;
}
.col2-set input[type="text"],
.col2-set input[type="tel"],
.col2-set input[type="email"],
.col2-set select,
.col2-set textarea {
    height: 42px;
    padding: 6px 18px;
    font-size: 1.1rem;
    border: 1px solid var(--borderColor);
    width: 100%;
}
.col2-set textarea {
    height: 150px;
    font-family: var(--primaryFont);
    padding: 15px 18px;
}
.select2-container--default .select2-selection--single {
    border: 1px solid var(--borderColor);
    height: 42px;
    margin: 0;
    padding: 6px 10px;
    font-size: 1.1rem;
    font-weight: 400;
    border-radius: 0;
}
.select2-container--default .select2-selection--single:focus {
    outline: none;
}
.select2-container--default
    .select2-selection--single
    .select2-selection__rendered {
    line-height: 36px;
}
.select2-container--default
    .select2-selection--single
    .select2-selection__arrow {
    height: 42px;
    width: 36px;
}
.woocommerce-checkout-payment {
    margin-top: 45px;
}
.wc_payment_methods.payment_methods {
    list-style: none;
    padding: 30px;
    background-color: var(--accentColor);
    margin-bottom: 21px;
}
.payment_box {
    padding: 15px 0 0 26px;
}
.payment_box fieldset {
    margin: 0;
    padding: 0;
    border: 0;
    display: flex;
    gap: 10px 20px;
    flex-wrap: wrap;
}
.payment_box .form-row.form-row-wide {
    width: 100%;
}
.payment_box .form-row.form-row-first,
.payment_box .form-row.form-row-last {
    width: calc(50% - 10px);
}

.woocommerce-terms-and-conditions-wrapper {
    margin-bottom: 30px;
}

/* Order Received */
.woocommerce-order-overview.woocommerce-thankyou-order-details.order_details {
    margin: 0 0 21px 21px;
}
.woocommerce-order-details {
    margin-top: 24px;
}
.woocommerce-customer-details {
    margin-top: 24px;
    border: 1px solid var(--borderColor);
}
.woocommerce-customer-details h2 {
    padding: 12px 30px;
    color: var(--whiteColor);
    background-color: var(--primaryColor);
}
.woocommerce-customer-details address {
    padding: 18px 30px;
}

/* My Account */
body.page-id-9 .woocommerce-form.woocommerce-form-login.login {
    margin-top: 21px;
    border-top: 1px solid var(--borderColor);
    height: calc(100% - 45px);
}
.woocommerce-form.woocommerce-form-register.register {
    margin-top: 21px;
    padding: 18px 21px 24px;
    border: 1px solid var(--borderColor);
    height: calc(100% - 45px);
}
.woocommerce-address-fields {
    margin-top: 24px;
}
body.page-id-9 .col2-set {
    margin-bottom: 0;
}
.woocommerce-form.woocommerce-form-register.register p {
    font-size: 1rem;
}
.woocommerce-form-login__submit,
.woocommerce-form-register__submit {
    margin-top: 15px;
}
.woocommerce-MyAccount-navigation,
.woocommerce-address-fields__field-wrapper {
    margin-bottom: 30px;
}
.woocommerce-MyAccount-navigation ul {
    display: flex;
    list-style: none;
    gap: 21px;
}
.woocommerce-MyAccount-navigation ul li:hover a,
.woocommerce-MyAccount-navigation ul li.is-active a {
    color: var(--secondaryColor);
}
.woocommerce-MyAccount-navigation ul li.is-active a {
    font-weight: 500;
    box-shadow: 0 1px 0 var(--secondaryColor);
}
.woocommerce-Address {
    /* margin-top: 24px; */
    border: 1px solid var(--borderColor);
}
.woocommerce-Address .woocommerce-Address-title.title {
    padding: 12px 30px;
    background-color: var(--primaryColor);
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.woocommerce-Address .woocommerce-Address-title.title h3 {
    color: var(--whiteColor);
    margin-bottom: 0;
}
.woocommerce-Address .woocommerce-Address-title.title a {
    color: var(--whiteColor);
    text-decoration: underline;
    font-weight: 400;
}
.woocommerce-Address address {
    padding: 18px 30px;
}
.woocommerce-EditAccountForm.edit-account fieldset {
    padding: 24px;
    border: 1px solid var(--borderColor);
}
.woocommerce-EditAccountForm.edit-account .woocommerce-Button.button {
    margin-top: 24px;
}
.filter-menu {
    display: none;
}
@media (max-width: 1199px) {
    .woocommerce div.product .woocommerce-tabs ul.tabs li a {
        font-size: 1.1rem;
    }
}
@media (max-width: 991px) {
    .shop-content {
        margin-top: 0;
    }
    .archive .product-block {
        grid-template-columns: 1fr;
    }
    .shop-products,
    .related.products ul.products,
    .cross-sells .product-block ul.products {
        grid-template-columns: repeat(3, 1fr);
        gap: 75px 20px;
        margin-top: 30px;
    }
    .summary.entry-summary {
        grid-column: 1/2;
    }
    .woocommerce-message {
        flex-direction: column-reverse;
        height: auto;
        padding: 15px 30px;
        gap: 15px;
        text-align: center;
    }
    body.page-id-9 .woocommerce-form.woocommerce-form-login.login,
    .woocommerce-form.woocommerce-form-register.register {
        height: auto;
    }
    .col2-set {
        grid-template-columns: 1fr;
    }
    .col-1,
    .col-2 {
        grid-column: 1/2;
    }
    .single-product .shop-content {
        margin-top: 21px;
    }
    .single-product div.product {
        gap: 30px 16px;
        grid-template-columns: 1fr;
    }
    .single-product .woocommerce-product-gallery {
        grid-column: 1/2;
    }
    .filter-menu {
        border: 1px solid #222222;
        padding: 3px 21px;
        text-align: center;
        display: block;
        text-transform: uppercase;
        font-weight: 600;
        color: #222222;
        letter-spacing: 1px;
        font-size: 16px;
        margin-bottom: 21px;
        cursor: pointer;
    }
    .filternavigation {
        position: fixed;
        width: 100%;
        height: 100%;
        overflow-y: auto;
        top: 0;
        left: 0;
        transform: translateX(-100%);
        padding: 24px 30px 21px;
        background-color: #ffffff;
        z-index: 9999999;
        transition: transform 0.3s ease;
    }
    .filter-close {
        display: block;
        width: 27px;
        margin-left: auto;
        margin-bottom: 30px;
        cursor: pointer;
    }
    .woocommerce div.product .woocommerce-tabs {
        grid-column: 1/2;
    }
    .woocommerce div.product .related,
    .woocommerce div.product .up-sells.upsells {
        grid-column: 1/2;
    }
    .resp-tabs-container h2.resp-accordion {
        background: var(--tertiaryColor);
        padding: 6px 21px 14px;
        margin-bottom: 1px;
        display: block;
    }
    .resp-tabs-container h2.resp-accordion.resp-tab-active {
        background: var(--contrastColor);
    }
    .resp-tabs-container h2.resp-accordion.resp-tab-active a {
        color: var(--whiteColor);
    }
    .resp-tabs-container h2.resp-accordion span.resp-arrow {
        display: none;
    }
    .resp-tabs-container h2.resp-accordion a {
        font-size: 1rem;
        letter-spacing: 1px;
        text-transform: uppercase;
        font-weight: 500;
        color: var(--darkColor);
    }
    .woocommerce div.product .woocommerce-tabs .panel {
        margin: 21px;
    }
    .woocommerce-products-header {
        margin: 0 0 36px;
    }
    .cart_totals {
        width: 100%;
    }
}
@media (max-width: 767px) {
    .shop-products,
    .related.products ul.products,
    .cross-sells .product-block ul.products,
    .archive .shop-products,
    .extension-category-products .shop-products {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }
    .archive .shop-products .single-product .woocommerce-product-gallery {
        grid-column: 1/9;
    }
    .woocommerce table.shop_table_responsive thead,
    .woocommerce-page table.shop_table_responsive thead {
        display: none;
    }
    .woocommerce table.shop_table_responsive tr,
    .woocommerce-page table.shop_table_responsive tr {
        display: block;
        height: auto;
    }
    .woocommerce table.shop_table_responsive tr td,
    .woocommerce-page table.shop_table_responsive tr td {
        display: block;
        text-align: right;
    }
    .woocommerce table.shop_table_responsive tr th,
    .woocommerce-page table.shop_table_responsive tr th {
        display: block;
    }
    .woocommerce table.shop_table_responsive tr td.product-thumbnail a {
        display: flex;
        justify-content: flex-end;
    }
    .woocommerce table.shop_table_responsive tr.cart-subtotal td,
    .woocommerce-page table.shop_table_responsive tr.order-total td {
        text-align: left;
    }
    .coupons-holder .actions {
        flex-direction: column;
        gap: 15px;
    }
    .coupon {
        justify-content: flex-start;
        flex-direction: column;
    }
    .single-product
        .woocommerce-product-gallery
        .flex-control-nav.flex-control-thumbs {
        grid-template-columns: repeat(3, 1fr);
    }
    .quantity-cart-wrap {
        flex-direction: column;
    }
    .wc-stripe-payment-request-wrapper,
    p#wc-stripe-payment-request-button-separator {
        display: none !important;
    }
}
@media (max-width: 576px) {
    .single-product div.product {
        grid-template-columns: 1fr;
    }
    .single-product .woocommerce-product-gallery,
    .summary.entry-summary,
    .woocommerce div.product .related {
        grid-column: 1/2;
    }
    .woocommerce div.product .woocommerce-tabs {
        display: none;
    }
    .woocommerce-MyAccount-navigation ul {
        flex-direction: column;
        gap: 12px;
    }
    .single-product
        .woocommerce-product-gallery
        .flex-control-nav.flex-control-thumbs {
        grid-template-columns: repeat(2, 1fr);
    }
}

.subcategory-tabs {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 20px;
    justify-content: center;
    margin-bottom: 45px;
}
.subcategory-tabs li {
    display: inline-block;
}
.subcategory-tabs li a {
    display: inline-block;
    border: 4px solid var(--borderColor);
    padding: 12px;
    font-size: 0.8rem;
    font-weight: 600;
    text-align: center;
}
.subcategory-tabs li.active a {
    border: 4px solid var(--contrastColor);
}
.subcategory-tabs li a img {
    width: 300px;
    margin-bottom: 15px;
}
.subcategory-products {
    display: none;
}
.subcategory-products.active {
    display: block;
}
.subcategory-products h3 {
    margin-bottom: 21px;
    font-weight: 500;
    font-size: 24px;
}
